# Add your reusable NixOS modules to this directory, on their own file (https://nixos.wiki/wiki/Module).
# These should be stuff you would like to share with others, not your personal configurations.
{
  # List your module files here
  # my-module = import ./my-module.nix;

  #art
  aseprite = import ./aseprite.nix;
  krita = import ./krita.nix;

  #cad
  freecad = import ./freecad.nix;
  blender = import ./blender.nix;
  prusa-slicer = import ./prusa-slicer.nix;

  #game
  steam = import ./steam.nix;
  xivlauncher = import ./xivlauncher.nix;

  #code
  rust = import ./rust.nix;
  vscode = import ./vscode.nix;
  git = import ./git.nix;
  nvim = import ./nvim.nix;

  #other
  discord = import ./discord.nix;
  firefox = import ./firefox.nix;
  jetbrains = import ./jetbrains.nix;
}